Bug 830313 - [abrt] gedit-3.4.2-1.fc17: __strlen_sse2_pminub: Process /usr/bin/gedit was killed by signal 11 (SIGSEGV)
[abrt] gedit-3.4.2-1.fc17: __strlen_sse2_pminub: Process /usr/bin/gedit was k...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:bccdc0e686c9fbc44265e3e5684...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-08 16:10 EDT by Alexander Osipenko
Modified: 2013-08-01 06:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 06:12:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (14.75 KB, text/plain)
2012-06-08 16:11 EDT, Alexander Osipenko
no flags Details
File: build_ids (5.08 KB, text/plain)
2012-06-08 16:11 EDT, Alexander Osipenko
no flags Details
File: backtrace (31.75 KB, text/plain)
2012-06-08 16:11 EDT, Alexander Osipenko
no flags Details
File: maps (62.66 KB, text/plain)
2012-06-08 16:11 EDT, Alexander Osipenko
no flags Details

  None (edit)
Description Alexander Osipenko 2012-06-08 16:10:58 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        gedit src/target/arm946e.c src/target/arm946e.h
comment:        Enable plugin 'Code Assistant'
crash_function: __strlen_sse2_pminub
executable:     /usr/bin/gedit
kernel:         3.4.0-1.fc17.x86_64
pid:            18988
pwd:            /home/sip/Projects/openocd
time:           Fri 08 Jun 2012 23:55:50 MSK
uid:            1023

backtrace:      Text file, 32513 bytes
build_ids:      Text file, 5207 bytes
dso_list:       Text file, 15108 bytes
maps:           Text file, 64160 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/sip/2

core_backtrace:
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x15f7b5 __strlen_sse2_pminub libc.so.6 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x648ed g_strjoinv libglib-2.0.so.0 -
:e8c0aa93d08a7ba9634678e85448e8b9d3c17515 0x2fa3d - libgcp.so -
:e8c0aa93d08a7ba9634678e85448e8b9d3c17515 0x31418 - libgcp.so -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x6a345 - libglib-2.0.so.0 -
:73777e822e00ca152ffca281ab0ace0cb498ec48 0x7d14 start_thread libpthread.so.0 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0xf199d clone libc.so.6 -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=hsp
:LC_MONETARY=en_IE.utf8
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=xterm
:HISTSIZE=1000
:XDG_SESSION_COOKIE=66b36ca06df8e2f148795eb60000000c-1339177376.631305-1308462182
:LC_NUMERIC=en_IE.utf8
:WINDOWID=12582918
:IMSETTINGS_MODULE=none
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=sip
:CDS_IC_WORKBENCH=msfb
:LS_COLORS=rs=0:di=00;34:ln=00;36:mh=00:pi=40;33:so=00;35:do=00;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=00;32:*.tar=00;31:*.tgz=00;31:*.arj=00;31:*.taz=00;31:*.lzh=00;31:*.lzma=00;31:*.tlz=00;31:*.txz=00;31:*.zip=00;31:*.z=00;31:*.Z=00;31:*.dz=00;31:*.gz=00;31:*.lz=00;31:*.xz=00;31:*.bz2=00;31:*.tbz=00;31:*.tbz2=00;31:*.bz=00;31:*.tz=00;31:*.deb=00;31:*.rpm=00;31:*.jar=00;31:*.war=00;31:*.ear=00;31:*.sar=00;31:*.rar=00;31:*.ace=00;31:*.zoo=00;31:*.cpio=00;31:*.7z=00;31:*.rz=00;31:*.jpg=00;35:*.jpeg=00;35:*.gif=00;35:*.bmp=00;35:*.pbm=00;35:*.pgm=00;35:*.ppm=00;35:*.tga=00;35:*.xbm=00;35:*.xpm=00;35:*.tif=00;35:*.tiff=00;35:*.png=00;35:*.svg=00;35:*.svgz=00;35:*.mng=00;35:*.pcx=00;35:*.mov=00;35:*.mpg=00;35:*.mpeg=00;35:*.m2v=00;35:*.mkv=00;35:*.ogm=00;35:*.mp4=00;35:*.m4v=00;35:*.mp4v=00;35:*.vob=00;35:*.qt=00;35:*.nuv=00;35:*.wmv=00;35:*.asf=00;35:*.rm=00;35:*.rmvb=00;35:*.flc=00;35:*.avi=00;35:*.fli=00;35:*.flv=00;35:*.gl=00;35:*.dl=00;35:*.xcf=00;35:*.xwd=00;35:*.yuv=00;35:*.cgm=00;35:*.emf=00;35:*.axv=00;35:*.anx=00;35:*.ogv=00;35:*.ogx=00;35:*.aac=00;36:*.au=00;36:*.flac=00;36:*.mid=00;36:*.midi=00;36:*.mka=00;36:*.mp3=00;36:*.mpc=00;36:*.ogg=00;36:*.ra=00;36:*.wav=00;36:*.axa=00;36:*.oga=00;36:*.spx=00;36:*.xspf=00;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/run/user/sip/keyring-kAH5fV/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1064,unix/unix:/tmp/.ICE-unix/1064
:'ENCAOPT=-L ru'
:
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:XMODIFIERS=@im=none
:'EDITOR=gvim -f'
:GNOME_KEYRING_PID=1060
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:LC_MEASUREMENT=en_IE.utf8
:'PS1=[\\h:\\W]\\$ '
:GDMSESSION=gnome
:HISTCONTROL=ignorespace:erasedups
:XDG_SEAT=seat0
:SHLVL=2
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:no_proxy=localhost,127.,192.168.
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-3AQJKSYZTA,guid=7e8ba51f7c8c6e468f568d0200000019
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/sip
:DISPLAY=:0.0
:LC_TIME=en_IE.utf8
:COLORTERM=gnome-terminal
:CCACHE_HASHDIR=
:_=/usr/bin/gedit

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 95899                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       95899                95899                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/pts/1
:1:/dev/pts/1
:2:/dev/pts/1
:3:socket:[54308]
:4:anon_inode:[eventfd]
:5:socket:[42769]
:6:socket:[42770]
:7:socket:[54309]
:8:anon_inode:[eventfd]
:9:anon_inode:[eventfd]
:10:anon_inode:[eventfd]
:11:/tmp/ffiPnjmse (deleted)
:12:anon_inode:inotify
:13:socket:[44527]
:14:/home/sip/.local/share/gvfs-metadata/home
:15:/home/sip/.local/share/gvfs-metadata/home-d689cff5.log

var_log_messages:
:Jun  4 21:45:09 hsp yum[1935]: Updated: 2:gedit-3.4.2-1.fc17.x86_64
:Jun  4 21:45:09 hsp yum[1935]: Updated: 2:gedit-zeitgeist-3.4.2-1.fc17.x86_64
:Jun  8 23:40:19 hsp abrt[18800]: Saved core dump of pid 14284 (/usr/bin/gedit) to /var/spool/abrt/ccpp-2012-06-08-23:40:18-14284 (82477056 bytes)
:Jun  8 23:40:39 hsp abrt[18839]: Saved core dump of pid 18829 (/usr/bin/gedit) to /var/spool/abrt/ccpp-2012-06-08-23:40:39-18829 (77963264 bytes)
:Jun  8 23:41:28 hsp abrt[18943]: Saved core dump of pid 18933 (/usr/bin/gedit) to /var/spool/abrt/ccpp-2012-06-08-23:41:27-18933 (77692928 bytes)
:Jun  8 23:55:51 hsp abrt[19559]: Saved core dump of pid 18988 (/usr/bin/gedit) to /var/spool/abrt/ccpp-2012-06-08-23:55:50-18988 (76382208 bytes)
Comment 1 Alexander Osipenko 2012-06-08 16:11:02 EDT
Created attachment 590508 [details]
File: dso_list
Comment 2 Alexander Osipenko 2012-06-08 16:11:04 EDT
Created attachment 590509 [details]
File: build_ids
Comment 3 Alexander Osipenko 2012-06-08 16:11:07 EDT
Created attachment 590510 [details]
File: backtrace
Comment 4 Alexander Osipenko 2012-06-08 16:11:09 EDT
Created attachment 590511 [details]
File: maps
Comment 5 Rafael Blumberg 2012-08-23 22:29:18 EDT
Gedit crashes when I open CPP file

It can be reproduced each time that I try to open *.cpp files.


backtrace_rating: 4
Package: gedit-3.4.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Kvikende 2012-12-17 09:45:32 EST
I installed gedit, gedit-code-completion and gedit-plugins on my F17 running XFCE. I'm trying to open a .c file with some plugins open and gedit segfaults.

backtrace_rating: 4
Package: gedit-3.4.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 Kvikende 2012-12-17 09:48:49 EST
When I deactivated the code completion plugin it works, so the bug must be in that plugin.
Comment 8 Fedora End Of Life 2013-07-03 23:07:09 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2013-08-01 06:12:50 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.